Bug 1575282 - Unknown TPM error on boot after Fedora 28 upgrade
Summary: Unknown TPM error on boot after Fedora 28 upgrade
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 16:29 UTC by Neil Kownacki
Modified: 2020-05-26 15:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:06:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Neil Kownacki 2018-05-05 16:29:24 UTC
After upgrading to Fedora 28, I get about 10-15 lines of "error: Unknown TPM error", then "press any key to continue..." after choosing a kernel to boot in GRUB.  It waits at that screen for a minute, then shows the Fedora splash screen and the system boots normally.  It doesn't seem to matter which kernel I boot (4.15 - 4.16).

It seems like it could be firmware related, but I chose grub2 as the component because that's when the error shows up.  This is a Lenovo X270.


$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-4.16.5-300.fc28.x86_64 root=UUID=274d01f4-d57a-4839-b080-cdc92a51d1b0 ro rhgb quiet resume=/dev/sda2 LANG=en_US.UTF-8

$ inxi -MS
System:    Host: totbox Kernel: 4.16.5-300.fc28.x86_64 x86_64 bits: 64 Desktop: Xfce 4.12.4
           Distro: Fedora release 28 (Twenty Eight)
Machine:   Device: laptop System: LENOVO product: 20HNCTO1WW v: ThinkPad X270 serial: N/A
           Mobo: LENOVO model: 20HNCTO1WW v: SDK0J40700 WIN serial: N/A
           UEFI: LENOVO v: R0IET40W (1.18 ) date: 06/26/2017

Comment 1 Víctor R. Ruiz 2018-05-09 11:56:22 UTC
I'm also seeing this in my system.

Comment 2 mathieu.tarral 2018-05-20 12:12:17 UTC
Hi,

i confirm too, i can see these messages when i try to boo on the Xen kernel.
https://bugzilla.redhat.com/show_bug.cgi?id=1286317

photo:
https://bugzilla.redhat.com/show_bug.cgi?id=1286317

How can we solve this ?

Comment 3 mathieu.tarral 2018-05-20 12:13:52 UTC
Sorry, copy paste error, here is the photo link:
https://photos.app.goo.gl/Q7ENf5urEYg65sJJ3

Comment 4 Neil Kownacki 2018-05-25 13:43:51 UTC
Mathieu, does the Unknown TPM Error happen when you boot the regular Fedora kernel too?  And can you both provide the output of the 2 commands in my original post to see if our machines have anything in common?  (Might want to watch and make sure you don't post a Windows serial by accident.)

I'm not exactly sure what TPM is used for, but it looks like something to do with UEFI secure boot and drive encryption.  I have secure boot off and no encrypted partitions if that is relevant.

Comment 5 mathieu.tarral 2018-05-27 12:18:47 UTC
Hi Neil,

> does the Unknown TPM Error happen when you boot the regular Fedora kernel too?
No it doesn't


>And can you both provide the output of the 2 commands in my original post to see if our machines have anything in common?

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-4.16.9-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-bd64d2d2-ddb5-4460-a32f-92cac84ce21e rd.lvm.lv=fedora/swap rhgb quiet LANG=fr_FR.UTF-8


$ inxi -MS
System:    Host: localhost.localdomain Kernel: 4.16.9-300.fc28.x86_64 x86_64 bits: 64 Desktop: Gnome 3.28.2
           Distro: Fedora release 28 (Twenty Eight)
Machine:   Device: laptop System: Dell product: Inspiron 7370 serial: N/A
           Mobo: Dell model: 0G0N02 v: A00 serial: N/A UEFI: Dell v: 1.6.2 date: 01/25/2018

And btw the Xen kernel grub entry doesn't boot, but that's not related i think.
I already opened an issue about this, and I had this problem before i upgraded to Fedora 28, so before this TPM issue.

I hope this will help

Thank you guys !

Comment 6 JRGiadach 2018-06-04 15:03:39 UTC
Hi,

I'm also having the TPM error, but when the system is running. This problem begun after upgrading to Fedora 28.

Follows output of two requested command

$ cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-4.16.11-300.fc28.x86_64 root=UUID=b92ed0d9-4d0d-45fa-a7bd-8434b2b5225e ro rhgb quiet LANG=en_US.utf8

$ inxi -MS
System:    Host: MyHost Kernel: 4.16.11-300.fc28.x86_64 x86_64 bits: 64
           Desktop: KDE Plasma 5.12.5
           Distro: Fedora release 28 (Twenty Eight)
Machine:   Device: desktop System: Hewlett-Packard product: HP EliteDesk 800 G1 SFF serial: N/A
           Mobo: Hewlett-Packard model: 1998 serial: N/A
           BIOS: Hewlett-Packard v: L01 v02.33 date: 07/15/2014

Regards

Comment 7 Adriano Mourão 2018-07-24 13:58:05 UTC
Hi,

I'm also having the TPM error on boot. I'm running Fedora 27 on an Asus F556U laptop and the error begun after I've updated the kernel to 4.17.

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-4.17.7-100.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet pci=noaer LANG=en_US.UTF-8

$ inxi -MS
System:    Host: monkeebutt.curseddog.org Kernel: 4.17.7-100.fc27.x86_64 x86_64 bits: 64 Desktop: i3 4.15.0.1 
           Distro: Fedora release 27 (Twenty Seven) 
Machine:   Type: Laptop System: ASUSTeK product: X556UA v: 1.0 serial: N/A
           Mobo: ASUSTeK model: X556UA v: 1.0 serial: N/A UEFI: American Megatrends v: X556UA.302 
           date: 12/09/2015

Comment 8 Adriano Mourão 2018-07-26 14:22:31 UTC
I forgot to add the error:

[    0.623415] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80
[    0.623460] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80

Comment 9 mathieu.tarral 2018-11-05 16:29:14 UTC
Hi,

I upgraded to Fedora 29 this week and the bug is still here.

The message changed and is more precise:

error: ../../grub-core/kern/efi/tpm.c:255:Unknown TPM error

Image: https://user-images.githubusercontent.com/964610/48011149-60426580-e11f-11e8-8e85-0914fd11d2ea.JPG

Does anybody know what to do next ?

Comment 10 mathieu.tarral 2018-11-05 16:33:03 UTC
I found our error in GRUB source code:

https://github.com/coreos/grub/blob/2.02-coreos/grub-core/kern/efi/tpm.c#L254

But I don't know anything about TPM or GRUB or EFI... :/

Comment 11 mathieu.tarral 2018-11-05 16:51:45 UTC
I managed to boot on Xen, by disabling Secure Boot...

We should figure out what's wrong with GRUB and Efi here though.
I have a new error, which is about 'module2.mod' not being found, but then I press ENTER and Xen starts anyway.

Image: https://user-images.githubusercontent.com/964610/48012600-b06ef700-e122-11e8-9a55-b34809905af8.JPG

Thanks !

Comment 12 sam0hack 2019-05-01 17:51:18 UTC
This error is still there. I upgraded Fedora 29 to Fedora 30 and after that, I'm getting this error ( error: ../../grub-core/kern/efi/tpm.c:255:Unknown TPM error ) this error wasn't in the Fedora 28.

Comment 13 sam0hack 2019-05-01 18:04:34 UTC
I fixed this problem by reinstalling the grub



~]# dnf reinstall grub2-efi shim

Rebuild the grub.cfg file by running the grub2-mkconfig -o command as follows:

    On BIOS-based machines, issue the following command as root:

    ~]# grub2-mkconfig -o /boot/grub2/grub.cfg

    On UEFI-based machines, issue the following command as root:

    ~]# grub2-mkconfig -o /boot/efi/EFI/redhat/grub.cfg

Comment 14 Ben Cotton 2019-05-02 19:23:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Neil Kownacki 2019-05-07 00:41:12 UTC
(In reply to sam0hack from comment #13)

Thanks, sam0hack.  Reinstalling grub2-efi and shim, and regenerating the GRUB config got rid of these messages for me too.  Note for UEFI users on Fedora, it's /boot/efi/EFI/fedora/grub.cfg


sudo dnf reinstall grub2-efi shim

sudo grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg

Comment 16 Ben Cotton 2020-04-30 22:04:37 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2020-05-26 15:06:55 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.